package com.example.mapper;

import com.example.bean.DailyReport;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

import com.example.bean.MedicalRecord;
import com.example.bean.Drugs;
@Mapper
public interface MedicalRecordMapper {
    int addNewMedicalRecord(MedicalRecord medicalRecord);

    MedicalRecord getMedicalRecordById(@Param("mid") int mid);

    int getMidByUid(@Param("uid") String uid);

    int getSummaryByUid(@Param("uid") String uid);

    int updateMedicalRecord(MedicalRecord medicalRecord);

    int deleteMedicalRecordByMid(@Param("mid") int mid);

    List<MedicalRecord> selectMedicalRecordByUserId(@Param("uid") String uid);

    List<MedicalRecord> selectMedicalRecordByDid(@Param("did") String did);
}
